Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Path Parameters

credit_entitlement_id
string
required

Credit Entitlement ID

customer_id
string
required

Customer ID

Response

Customer balance details

Response for a customer's credit balance

balance
string
required
created_at
string<date-time>
required
credit_entitlement_id
string
required
customer_id
string
required
id
string
required
overage
string
required
updated_at
string<date-time>
required
last_transaction_at
string<date-time> | null
Last modified on March 25, 2026